SFML 3.0.2
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::SoundSource::Cone Struct Reference

Structure defining the properties of a directional cone. More...

`#include <SFML/Audio/SoundSource.hpp>`

## Public Attributes

Angle | innerAngle
| Inner angle.
Angle | outerAngle
| Outer angle.
float | outerGain {}
| Outer gain.

## Detailed Description

Structure defining the properties of a directional cone.

Sounds will play at gain 1 when the listener is positioned within the inner angle of the cone. Sounds will play at outerGain when the listener is positioned outside the outer angle of the cone. The gain declines linearly from 1 to outerGain as the listener moves from the inner angle to the outer angle.

Definition at line 72 of file SoundSource.hpp.

## Member Data Documentation

## ◆ innerAngle

Angle sf::SoundSource::Cone::innerAngle

Inner angle.

Definition at line 74 of file SoundSource.hpp.

## ◆ outerAngle

Angle sf::SoundSource::Cone::outerAngle

Outer angle.

Definition at line 75 of file SoundSource.hpp.

## ◆ outerGain

float sf::SoundSource::Cone::outerGain {}

Outer gain.

Definition at line 76 of file SoundSource.hpp.

The documentation for this struct was generated from the following file:

- SoundSource.hpp